<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.locale">var.locale</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;templates>&lt;template>&lt;id>41&lt;/id>&lt;customId>LAND&lt;/customId>&lt;colorCode>&lt;xpath/>&lt;/colorCode>&lt;labels>&lt;de>Land&lt;/de>&lt;en>Country&lt;/en>&lt;/labels>&lt;displayName>Country&lt;/displayName>&lt;actions>&lt;action>&lt;key>actiont1&lt;/key>&lt;displayName>actiont1&lt;/displayName>&lt;executeUse/>&lt;labels/>&lt;descriptions/>&lt;type>template&lt;/type>&lt;verbosity>0&lt;/verbosity>&lt;/action>&lt;action>&lt;key>actiona1&lt;/key>&lt;displayName>actiona1&lt;/displayName>&lt;executeUse/>&lt;labels/>&lt;descriptions/>&lt;type>asset&lt;/type>&lt;verbosity>0&lt;/verbosity>&lt;/action>&lt;/actions>&lt;featureActiveVersionsEnabled>false&lt;/featureActiveVersionsEnabled>&lt;customIdAttribute>&lt;unique>true&lt;/unique>&lt;type>string&lt;/type>&lt;displayName/>&lt;/customIdAttribute>&lt;createdOn>2025-06-05T06:36:35.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2025-06-24T05:34:25.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;use/>&lt;computedUse>&lt;read>&lt;role>VAM-administrator&lt;/role>&lt;/read>&lt;create>&lt;role>VAM-administrator&lt;/role>&lt;/create>&lt;update>&lt;role>VAM-administrator&lt;/role>&lt;/update>&lt;delete>&lt;role>VAM-administrator&lt;/role>&lt;/delete>&lt;executeAction>&lt;role>VAM-administrator&lt;/role>&lt;/executeAction>&lt;child/>&lt;/computedUse>&lt;accessLevel>full&lt;/accessLevel>&lt;versionedAttributes>&lt;attribute>&lt;key>alternateName&lt;/key>&lt;type>string&lt;/type>&lt;displayName>alternateName&lt;/displayName>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;parents/>&lt;children>&lt;template>&lt;id>42&lt;/id>&lt;minimumQuantity>0&lt;/minimumQuantity>&lt;maximumQuantity>0&lt;/maximumQuantity>&lt;isTimeSeries>false&lt;/isTimeSeries>&lt;resolution>SEC&lt;/resolution>&lt;customId>STADT&lt;/customId>&lt;displayName>City&lt;/displayName>&lt;accessLevel>full&lt;/accessLevel>&lt;/template>&lt;/children>&lt;/template>&lt;template>&lt;id>42&lt;/id>&lt;customId>STADT&lt;/customId>&lt;colorCode>&lt;xpath/>&lt;/colorCode>&lt;labels>&lt;de>Stadt&lt;/de>&lt;en>City&lt;/en>&lt;/labels>&lt;displayName>City&lt;/displayName>&lt;actions/>&lt;featureActiveVersionsEnabled>false&lt;/featureActiveVersionsEnabled>&lt;customIdAttribute>&lt;unique>true&lt;/unique>&lt;type>string&lt;/type>&lt;displayName/>&lt;/customIdAttribute>&lt;createdOn>2025-06-05T06:36:37.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2025-06-24T05:34:27.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;use/>&lt;computedUse>&lt;read>&lt;role>VAM-administrator&lt;/role>&lt;/read>&lt;create>&lt;role>VAM-administrator&lt;/role>&lt;/create>&lt;update>&lt;role>VAM-administrator&lt;/role>&lt;/update>&lt;delete>&lt;role>VAM-administrator&lt;/role>&lt;/delete>&lt;executeAction>&lt;role>VAM-administrator&lt;/role>&lt;/executeAction>&lt;child/>&lt;/computedUse>&lt;accessLevel>full&lt;/accessLevel>&lt;versionedAttributes>&lt;attribute>&lt;key>nicknme&lt;/key>&lt;type>string&lt;/type>&lt;displayName>nicknme&lt;/displayName>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;parents>&lt;template>&lt;id>41&lt;/id>&lt;isTimeSeries>false&lt;/isTimeSeries>&lt;resolution>SEC&lt;/resolution>&lt;maximumQuantity>1&lt;/maximumQuantity>&lt;customId>LAND&lt;/customId>&lt;displayName>Country&lt;/displayName>&lt;accessLevel>full&lt;/accessLevel>&lt;/template>&lt;/parents>&lt;children/>&lt;/template>&lt;/templates>&lt;total>2&lt;/total>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">3290</Property>
		<Property name="ISCurrentTime" type="Long">1750743520876</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_each_response</Property>
		<Property name="ISModuleId">438</Property>
		<Property name="ISProcessId">640122</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">640122</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="demux.totalIterations" type="Integer">2</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
		<Property name="var.locale">en</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.locale"/>
  &lt;xsl:template match="/">&lt;xsl:variable name="var.language" select="substring($var.locale, 1, 2)"/>&lt;xsl:for-each select="/response/responses/response/body/templates/template">&lt;xsl:if test="not(displayName = (if ($var.language = 'de') then labels/de else labels/en))">&lt;xsl:sequence select="error((), 'Bad displayName')"/>&lt;/xsl:if>&lt;/xsl:for-each>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>